function [X, Y] = wspolrzedne(wz, N)


%utworzenie macierzy wspolrzednych dla obrazu wz

error(nargchk(1, 2, nargin))

[w,z]=size(wz);

if ~(nargin-1)
    N=[w z];
elseif size(N)
    N = [N N];
end;

[Y, X]=ndgrid(linspace(1,w,N(1)),linspace(1,z,N(2)));

